
int be = A0; //0 analog bemenet 
int dc = 0;
float voltbex = 0.00; 
float voltki = 0.00;
float aram = 0.00;
float R1 = 15; //  R1 ellenállás értéke ohm-ban

void setup() {
	// put your setup code here, to run once
	Serial.begin(9600);
	pinMode(be, INPUT);
	
}
void loop() {
	// put your main code here, to run repeatedly:
	for(int m=0;m<=40;m++){	//40 mintavétel
		dc = analogRead(be); //ad átalakító leolvasása
		voltki = (dc * 5.0) / 1024.0; // 5.0 referencia feszültség 
		voltbex=voltbex+voltki; 
		delay(5);
	}
	voltbex=voltbex/40;// átlag számítás
	aram=voltbex/R1; //Ohm törvénye
	aram = aram * 1000;//mA-é alakítás
	Serial.println(aram);//mért érték kiíratása soros portra
	
	voltbex=0;
	delay(200);
}
